<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function action_supprimer_auteur_dist(){
	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	$id_auteur = intval($arg);

	include_spip('inc/autoriser');
	if (! autoriser("modifier","auteur", $id_auteur)) {
		return false;
	}
	if ($id_auteur) {
		sql_delete('spip_auteurs','id_auteur='.$id_auteur);
		include_spip('inc/invalideur');
		suivre_invalideur("id='id_auteur/$id_auteur'");
	}

	// redirection sur l'accueil
	$retour = 'spip.php?page=gerer_auteurs';
	include_spip('inc/headers');
	redirige_par_entete($retour);
}

